workrave_1.9.909+abc941eb70-1_amd64.deb


Advertisement

Description

workrave - Repetitive Strain Injury prevention tool

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name workrave
Package version 1.9.909+abc941eb70
Package release 1
Package architecture amd64
Package type deb
Installed size 1.57 KB
Download size 533.12 KB
Official Mirror ftp.br.debian.org
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.
It includes a system tray applet that works with GNOME and KDE
and has network capabilities to monitor your activity even if
switching back and forth between different computers is part of your
job.
Workrave offers many more configuration options than other similar
tools.

Alternatives

Package Version Architecture Repository
workrave_1.9.909+abc941eb70-1_i386.deb 1.9.909+abc941eb70 i386 Debian Main
workrave - - -

Requires

Name Value
gconf-service -
libatk1.0-0 >= 1.12.4
libatkmm-1.6-1 >= 2.22.1
libc6 >= 2.4
libcairo-gobject2 >= 1.10.0
libcairo2 >= 1.10.0
libcairomm-1.0-1 >= 1.6.4
libgcc1 >= 1:4.1.1
libgconf-2-4 >= 2.31.1
libgdk-pixbuf2.0-0 >= 2.22.0
libgdome2-0 -
libglib2.0-0 >= 2.31.8
libglibmm-2.4-1c2a >= 2.31.22
libgstreamer0.10-0 >= 0.10.10
libgtk-3-0 >= 3.2.1
libgtkmm-3.0-1 >= 3.4.0
libice6 >= 1:1.0.0
libpanel-applet-4-0 >= 3.2.1
libpango1.0-0 >= 1.14.0
libpangomm-1.4-1 >= 2.27.1
libpulse-mainloop-glib0 >= 0.99.1
libpulse0 >= 0.99.1
libsigc++-2.0-0c2a >= 2.0.2
libsm6 -
libstdc++6 >= 4.6
libx11-6 -
libxml2 >= 2.6.27
libxss1 -
libxtst6 -
multiarch-support -
workrave-data = 1.9.909+abc941eb70-1

Download

Type URL
Binary Package workrave_1.9.909+abc941eb70-1_amd64.deb
Source Package workrave

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install workrave deb package:
    # sudo apt-get install workrave

Files

Path
/usr/bin/workrave
/usr/lib/girepository-1.0/Workrave-1.0.typelib
/usr/lib/gnome-applets/workrave-applet
/usr/lib/x86_64-linux-gnu/libworkrave-private-1.0.so.0
/usr/lib/x86_64-linux-gnu/libworkrave-private-1.0.so.0.0.0
/usr/share/applications/workrave.desktop
/usr/share/doc/workrave/README
/usr/share/doc/workrave/README.Debian
/usr/share/doc/workrave/changelog.Debian.gz
/usr/share/doc/workrave/changelog.gz
/usr/share/doc/workrave/copyright
/usr/share/doc/workrave/examples/dbus_script.py
/usr/share/lintian/overrides/workrave
/usr/share/man/man1/workrave.1.gz
/usr/share/menu/workrave

Changelog

2012-05-28 - Francois Marier <francois@debian.org>
workrave (1.9.909+abc941eb70-1) unstable; urgency=low
[ Francois Marier ]
* New upstream snapshot
- Drop leak-fix patch (applied upstream)
- Document how the tarball is built in README.source
* Build GNOME applets and use gsettings
* Massive update of Build-Depends as per configure.ac
* Update README.source with snapshot instructions
* Switch to machine-readable copyright file
* Update alioth git repo links
* Bump debhelper version to 9
* Bump Standards-Version to 3.9.3
[ Jordi Mallach ]
* Avoid references to GNU/Linux in manpage.
* Drop build dependency on libgnet-dev, it's obsolete and unneeded.
* Add myself to Uploaders.
* Rewrite d/rules into dh style.
- Move all install tweaks to .install files.
- Install manpages using dh_installman.
* As a side effect, the package installs arch-dependant data in the
arch triplet directory; add the required Pre-Depends for m-a-support.
* Bring back GNOME Panel applet (for GNOME 3 fallback mode) and ship the
new GNOME Shell extension (closes: #642514, #666100).
* Add private_dirs.patch: move libworkrave-private and GObject
Introspection files to a private dir, so they are really out of the
way, but disable it for now as it breaks the Shell extension.
* Move typelib out of the triplet dir as gobject-introspection is not
M-A ready yet.
* Enable dh_autoreconf for the above patches.
* Add lintian overrides.
* Add necessary Breaks/Replaces as the xpm icon has moved to workrave-data.
* Prefix all debhelper files with package name.
* Suggest gnome-shell and gnome-panel.
2011-11-14 - Francois Marier <francois@debian.org>
workrave (1.9.4-3) unstable; urgency=low
* Apply upstream patch to fix memory leak (closes: #648597)
2011-09-11 - Francois Marier <francois@debian.org>
workrave (1.9.4-2) unstable; urgency=low
* Stop building GNOME application and applet (closes: #638100, #614038)
* Bump Standards-Version to 3.9.2
* Add empty build-arch and build-indep target in debian/rules (lintian)
2011-03-25 - Francois Marier <francois@debian.org>
workrave (1.9.4-1) unstable; urgency=low
* New upstream release
- drop all Debian patches (applied upstream)
* Update location of .xpm menu icon
* Remove empty /usr/include directory after building
* Remove obsolete breaks/replaces from debian/control
2011-01-17 - Francois Marier <francois@debian.org>
workrave (1.9.3-2) unstable; urgency=medium
* Add missing build dependency on libpulse-dev (closes: #610275)
2011-01-11 - Francois Marier <francois@debian.org>
workrave (1.9.3-1) unstable; urgency=low
* New upstream release (closes: #598222)
- detects concurrent instances (closes: #266371)
- drop gtkmm patch (applied upstream)
* Backport 3 upstream commits for broken network connections
* Patch a small typo in error messages (lintian notice)
* Switch from Conflicts/Replaces to Breaks/Replaces in debian/control
* Bump Standards-Version to 3.9.1
* Bump debhelper compatibility to 8
2010-04-14 - Francois Marier <francois@debian.org>
workrave (1.9.1-3) unstable; urgency=medium
* Sync with Ubuntu:
- merge in gtkmm API changes (closes: #577317)
2010-02-09 - Francois Marier <francois@debian.org>
workrave (1.9.1-2) unstable; urgency=low
* Drop the dependency on libgnomeuimm-2.6-dev (closes: #568802)
* Bump Standards-Version to 3.8.4
* Switch to 3.0 (quilt) source format
2009-10-26 - Francois Marier <francois@debian.org>
workrave (1.9.1-1) unstable; urgency=low
* New upstream release (closes: #496842)
* Drop all debian patches (merged upstream)
2009-10-12 - Francois Marier <francois@debian.org>
workrave (1.9.0-8) unstable; urgency=low
* Fix dpatch support so that patches are applied (closes: #550630)
* Fix FTBFS on gcc 4.4 (closes: #550607, LP: 448742)
* Bump Standards-Version to 3.8.3
* Remove dh_desktop from debian/rules
* Add README.source
* Add a dependency on misc:depends (lintian warning)
* Cleanup GPL notice (lintian notice)

See Also

Package Description
wormux-data_11.04.1+repack-4_all.deb transitional package for warmux-data
wormux-servers_11.04.1+repack-4_all.deb transitional package for warmux-servers
wormux_11.04.1+repack-4_all.deb transitional package for warmux
wotsap_0.7-2_all.deb OpenPGP Web of Trust analyzer and pathfinder
wp2x_2.5-mhi-10.1_amd64.deb WordPerfect 5.x documents to whatever converter
wpagui_1.0-3+deb7u3_amd64.deb graphical user interface for wpa_supplicant
wpasupplicant_1.0-3+deb7u3_amd64.deb client support for WPA and WPA2 (IEEE 802.11i)
wpd2odt_0.8.1-4_amd64.deb WordPerfect to OpenDocument converter
wpg2odg_0.8.1-4_amd64.deb WordPerfect Graphics to OpenDocument converter
wpolish_20120520-1_all.deb Polish dictionary words for /usr/share/dict
wportuguese_20120604-1_all.deb European Portuguese wordlist
wpp_2.13.1.35-3_all.deb The Web Preprocessor - a Perl script to preprocess HTML files
wps2odt_0.8.1-4_amd64.deb Works text documents to OpenDocument converter
wput_0.6.2-3_amd64.deb tiny wget-like ftp-client for uploading files
wraplinux_1.7-7_amd64.deb Utility to wrap a Linux kernel and initrd into an ELF or NBI file
Advertisement
Advertisement